action_dim: 16
action_fields:
- robot__desired__joint_position__left::yam
- robot__desired__joint_position__right::yam
- robot__action__grippers__left::yam_hand
- robot__action__grippers__right::yam_hand
allow_multiple_epochs: true
augmentation:
  enabled: true
  image:
    color_jitter:
      brightness: 0.2
      contrast: 0.4
      enabled: true
      hue:
      - -0.05
      - 0.05
      saturation: 0.2
    crop:
      enabled: true
      mode: random
      shape:
      - 224
      - 224
    resize:
      enabled: true
      size:
      - 256
      - 256
  point_cloud:
    color_jitter:
      brightness: 0.2
      contrast: 0.4
      enabled: false
      hue:
      - -0.05
      - 0.05
      saturation: 0.2
camera_names:
- left_wrist_camera
- right_wrist_camera
- scene_camera
dataloader_in_order: false
dataset_cache:
  cache_dir: null
  cache_size_gb: null
  cache_verbose: null
  enabled: false
dataset_manifest:
- s3://tri-ml-datasets-uw2/raiden/data/shards_dense/BlockOnBlockRightArmYAM/shards/manifest.jsonl
dataset_modality:
- robotics
dataset_statistics:
- s3://tri-ml-datasets-uw2/raiden/data/shards_dense/BlockOnBlockRightArmYAM/shards/stats.json
dataset_weighting:
- 1.0
extrinsics_fields:
- extrinsics.left_wrist_camera
- extrinsics.right_wrist_camera
- extrinsics.scene_camera
hf_fast_tokenizer_rayon_threads: null
hf_fast_tokenizers_parallelism: true
image_indices:
- -1
- 0
image_names:
- left_wrist_camera_t-1
- right_wrist_camera_t-1
- scene_camera_t-1
- left_wrist_camera_t0
- right_wrist_camera_t0
- scene_camera_t0
image_size: 224
img_num_tokens: 64
intrinsics_fields:
- intrinsics.left_wrist_camera
- intrinsics.right_wrist_camera
- intrinsics.scene_camera
language_instruction_types:
- original
lowdim_future_timesteps: 48
lowdim_past_timesteps: 1
mask_padded_images: false
max_text_seq_len: null
normalization:
  centered_norm: true
  enabled: true
  epsilon: 0.01
  field_configs:
    robot__action__grippers__left::yam_hand:
      enabled: true
      epsilon: 0.01
      method: percentile_1_99
      scope: per_timestep
    robot__action__grippers__right::yam_hand:
      enabled: true
      epsilon: 0.01
      method: percentile_1_99
      scope: per_timestep
    robot__desired__joint_position__left::yam:
      enabled: true
      epsilon: 0.01
      method: percentile_1_99
      scope: per_timestep
    robot__desired__joint_position__right::yam:
      enabled: true
      epsilon: 0.01
      method: percentile_1_99
      scope: per_timestep
  include_fields:
  - robot__desired__joint_position__left::yam
  - robot__desired__joint_position__right::yam
  - robot__action__grippers__left::yam_hand
  - robot__action__grippers__right::yam_hand
  lowdim_future_timesteps: 48
  lowdim_past_timesteps: 1
  method: percentile_1_99
  scope: per_timestep
num_workers: 8
pad_missing_images: false
point_cloud_num_points: null
pose_groups: []
prefetch_factor: 8
processor: openai/clip-vit-base-patch32
processor_kwargs:
  size:
    height: 224
    width: 224
proprioception_dim: 0
proprioception_fields: []
seed: 42
seq_len: 2048
shuffle: true
shuffle_buffer_size: 2000
shuffle_initial: 500
tactile_fields: []
type: robotics
use_hf_fast_tokenizer: true
use_point_cloud: false
val_dataset_manifest: []
val_dataset_statistics: []
val_dataset_weighting: []
